MPD: command/QueueCommands.hxx File Reference

MPD 0.20.18

Functions
QueueCommands.hxx File Reference
`#include "CommandResult.hxx"`
Include dependency graph for QueueCommands.hxx:

Go to the source code of this file.

## Functions
CommandResult | handle_add (Client &client, Request request, Response &response)
CommandResult | handle_addid (Client &client, Request request, Response &response)
CommandResult | handle_rangeid (Client &client, Request request, Response &response)
CommandResult | handle_delete (Client &client, Request request, Response &response)
CommandResult | handle_deleteid (Client &client, Request request, Response &response)
CommandResult | handle_playlist (Client &client, Request request, Response &response)
CommandResult | handle_shuffle (Client &client, Request request, Response &response)
CommandResult | handle_clear (Client &client, Request request, Response &response)
CommandResult | handle_plchanges (Client &client, Request request, Response &response)
CommandResult | handle_plchangesposid (Client &client, Request request, Response &response)
CommandResult | handle_playlistinfo (Client &client, Request request, Response &response)
CommandResult | handle_playlistid (Client &client, Request request, Response &response)
CommandResult | handle_playlistfind (Client &client, Request request, Response &response)
CommandResult | handle_playlistsearch (Client &client, Request request, Response &response)
CommandResult | handle_prio (Client &client, Request request, Response &response)
CommandResult | handle_prioid (Client &client, Request request, Response &response)
CommandResult | handle_move (Client &client, Request request, Response &response)
CommandResult | handle_moveid (Client &client, Request request, Response &response)
CommandResult | handle_swap (Client &client, Request request, Response &response)
CommandResult | handle_swapid (Client &client, Request request, Response &response)

## Function Documentation

## ◆ handle_add()

CommandResult handle_add | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_addid()

CommandResult handle_addid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_clear()

CommandResult handle_clear | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_delete()

CommandResult handle_delete | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_deleteid()

CommandResult handle_deleteid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_move()

CommandResult handle_move | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_moveid()

CommandResult handle_moveid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlist()

CommandResult handle_playlist | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistfind()

CommandResult handle_playlistfind | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistid()

CommandResult handle_playlistid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistinfo()

CommandResult handle_playlistinfo | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_playlistsearch()

CommandResult handle_playlistsearch | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_plchanges()

CommandResult handle_plchanges | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_plchangesposid()

CommandResult handle_plchangesposid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_prio()

CommandResult handle_prio | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_prioid()

CommandResult handle_prioid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_rangeid()

CommandResult handle_rangeid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_shuffle()

CommandResult handle_shuffle | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_swap()

CommandResult handle_swap | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

## ◆ handle_swapid()

CommandResult handle_swapid | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |